(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     32860,        995]
NotebookOptionsPosition[     30288,        922]
NotebookOutlinePosition[     30643,        938]
CellTagsIndexPosition[     30600,        935]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["\<\
Dawn\[CloseCurlyQuote]s approach to Ceres

Positions measured off of some images that first appeared in the November \
2014 Dawn Journal

Ceres (dwarf planet) - Wikipedia, the free encyclopedia - \
https://en.wikipedia.org/wiki/Ceres_(dwarf_planet)

Standard gravitational parameter - Wikipedia, the free encyclopedia - \
https://en.wikipedia.org/wiki/Standard_gravitational_parameter\
\>", "Text",
 CellChangeTimes->{{3.6328807969585047`*^9, 3.63288080145153*^9}, {
  3.632887955671401*^9, 3.632887977780949*^9}, {3.632906074936351*^9, 
  3.632906077678585*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"rawdata", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\"\<Date\>\"", ",", "\"\<Dist kkm\>\"", ",", "\"\<X1 raw\>\"", ",", 
       "\"\<Y1 raw\>\"", ",", "\"\<X2 raw\>\"", ",", "\"\<Z2 raw\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<Ceres\>\"", ",", "\"\<Ceres\>\"", ",", "238", ",", "185", ",", 
       "321", ",", "412"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<17-Feb\>\"", ",", "Null", ",", "30", ",", "154", ",", "163", ",", 
       "500"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<18-Feb\>\"", ",", "Null", ",", "66", ",", "138", ",", "187", ",", 
       "503"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<19-Feb\>\"", ",", "46", ",", "95", ",", "125", ",", "206", ",", 
       "506"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<20-Feb\>\"", ",", "Null", ",", "126", ",", "113", ",", "228", ",", 
       "509"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<21-Feb\>\"", ",", "Null", ",", "156", ",", "102", ",", "248", ",", 
       "510"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<22-Feb\>\"", ",", "Null", ",", "188", ",", "90", ",", "270", ",", 
       "511"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<23-Feb\>\"", ",", "Null", ",", "217", ",", "81", ",", "290", ",", 
       "511"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<24-Feb\>\"", ",", "Null", ",", "249", ",", "71", ",", "312", ",", 
       "509"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<25-Feb\>\"", ",", "40", ",", "276", ",", "64", ",", "331", ",", 
       "508"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<26-Feb\>\"", ",", "Null", ",", "304", ",", "57", ",", "351", ",", 
       "506"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<27-Feb\>\"", ",", "Null", ",", "331", ",", "51", ",", "370", ",", 
       "503"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<28-Feb\>\"", ",", "Null", ",", "358", ",", "47", ",", "389", ",", 
       "499"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<1-Mar\>\"", ",", "49", ",", "380", ",", "44", ",", "407", ",", 
       "495"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<2-Mar\>\"", ",", "Null", ",", "402", ",", "41", ",", "423", ",", 
       "490"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<3-Mar\>\"", ",", "Null", ",", "426", ",", "39", ",", "439", ",", 
       "485"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<4-Mar\>\"", ",", "Null", ",", "445", ",", "38", ",", "454", ",", 
       "481"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<5-Mar\>\"", ",", "Null", ",", "463", ",", "37", ",", "466", ",", 
       "476"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<6-Mar\>\"", ",", "Null", ",", "480", ",", "37", ",", "479", ",", 
       "471"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<7-Mar\>\"", ",", "Null", ",", "495", ",", "37", ",", "491", ",", 
       "466"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<8-Mar\>\"", ",", "Null", ",", "508", ",", "39", ",", "500", ",", 
       "461"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<9-Mar\>\"", ",", "Null", ",", "521", ",", "39", ",", "510", ",", 
       "456"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<10-Mar\>\"", ",", "Null", ",", "533", ",", "41", ",", "519", ",", 
       "451"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<11-Mar\>\"", ",", "Null", ",", "543", ",", "43", ",", "526", ",", 
       "446"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<12-Mar\>\"", ",", "Null", ",", "551", ",", "43", ",", "532", ",", 
       "442"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<13-Mar\>\"", ",", "Null", ",", "558", ",", "46", ",", "539", ",", 
       "438"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<14-Mar\>\"", ",", "Null", ",", "566", ",", "48", ",", "544", ",", 
       "432"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<15-Mar\>\"", ",", "Null", ",", "571", ",", "51", ",", "549", ",", 
       "428"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<16-Mar\>\"", ",", "Null", ",", "575", ",", "53", ",", "552", ",", 
       "423"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<17-Mar\>\"", ",", "Null", ",", "578", ",", "56", ",", "556", ",", 
       "420"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<18-Mar\>\"", ",", "Null", ",", "579", ",", "56", ",", "558", ",", 
       "416"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<19-Mar\>\"", ",", "Null", ",", "580", ",", "58", ",", "559", ",", 
       "413"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<20-Mar\>\"", ",", "Null", ",", "582", ",", "60", ",", "560", ",", 
       "408"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<21-Mar\>\"", ",", "Null", ",", "580", ",", "62", ",", "558", ",", 
       "405"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<22-Mar\>\"", ",", "Null", ",", "580", ",", "64", ",", "558", ",", 
       "401"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<23-Mar\>\"", ",", "Null", ",", "580", ",", "66", ",", "556", ",", 
       "399"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<24-Mar\>\"", ",", "Null", ",", "578", ",", "69", ",", "553", ",", 
       "395"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<25-Mar\>\"", ",", "Null", ",", "575", ",", "72", ",", "549", ",", 
       "393"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<26-Mar\>\"", ",", "Null", ",", "569", ",", "75", ",", "545", ",", 
       "390"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<27-Mar\>\"", ",", "Null", ",", "564", ",", "78", ",", "540", ",", 
       "388"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<28-Mar\>\"", ",", "Null", ",", "558", ",", "81", ",", "534", ",", 
       "386"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<29-Mar\>\"", ",", "Null", ",", "549", ",", "83", ",", "527", ",", 
       "384"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<30-Mar\>\"", ",", "Null", ",", "540", ",", "86", ",", "520", ",", 
       "383"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<31-Mar\>\"", ",", "Null", ",", "529", ",", "87", ",", "511", ",", 
       "380"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<1-Apr\>\"", ",", "Null", ",", "519", ",", "88", ",", "503", ",", 
       "381"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<2-Apr\>\"", ",", "Null", ",", "507", ",", "89", ",", "492", ",", 
       "380"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<3-Apr\>\"", ",", "Null", ",", "493", ",", "90", ",", "482", ",", 
       "380"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<4-Apr\>\"", ",", "Null", ",", "478", ",", "90", ",", "470", ",", 
       "380"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<5-Apr\>\"", ",", "Null", ",", "463", ",", "89", ",", "459", ",", 
       "381"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<6-Apr\>\"", ",", "Null", ",", "446", ",", "87", ",", "447", ",", 
       "381"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<7-Apr\>\"", ",", "Null", ",", "429", ",", "85", ",", "435", ",", 
       "381"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<8-Apr\>\"", ",", "Null", ",", "411", ",", "83", ",", "423", ",", 
       "382"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<9-Apr\>\"", ",", "Null", ",", "395", ",", "81", ",", "409", ",", 
       "385"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<10-Apr\>\"", ",", "33", ",", "376", ",", "79", ",", "395", ",", 
       "386"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<11-Apr\>\"", ",", "Null", ",", "359", ",", "76", ",", "384", ",", 
       "387"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<12-Apr\>\"", ",", "Null", ",", "341", ",", "73", ",", "367", ",", 
       "391"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<13-Apr\>\"", ",", "Null", ",", "322", ",", "71", ",", "355", ",", 
       "393"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<14-Apr\>\"", ",", "Null", ",", "298", ",", "72", ",", "339", ",", 
       "395"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<15-Apr\>\"", ",", "22", ",", "279", ",", "72", ",", "324", ",", 
       "398"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<16-Apr\>\"", ",", "Null", ",", "260", ",", "77", ",", "310", ",", 
       "402"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<17-Apr\>\"", ",", "Null", ",", "239", ",", "83", ",", "295", ",", 
       "406"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<18-Apr\>\"", ",", "Null", ",", "220", ",", "92", ",", "284", ",", 
       "410"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<19-Apr\>\"", ",", "Null", ",", "199", ",", "109", ",", "277", ",", 
       "414"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<20-Apr\>\"", ",", "Null", ",", "184", ",", "128", ",", "275", ",", 
       "418"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<21-Apr\>\"", ",", "Null", ",", "173", ",", "153", ",", "279", ",", 
       "421"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<22-Apr\>\"", ",", "Null", ",", "171", ",", "180", ",", "290", ",", 
       "421"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<23-Apr\>\"", ",", "Null", ",", "180", ",", "208", ",", "306", ",", 
       "421"}], "}"}]}], "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.632880987782387*^9, 3.6328810065694437`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"dates", " ", "=", " ", 
   RowBox[{"rawdata", "[", 
    RowBox[{"[", 
     RowBox[{
      RowBox[{"3", ";;"}], ",", "1"}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.632922212966579*^9, 3.632922229565205*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"rawpos", " ", "=", " ", 
   RowBox[{"rawdata", "[", 
    RowBox[{"[", 
     RowBox[{
      RowBox[{"2", ";;"}], ",", 
      RowBox[{"3", ";;", "6"}]}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.632881089653461*^9, 3.6328811399285*^9}, {
  3.632882043660081*^9, 3.632882043826817*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"adjpos", " ", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"#", " ", "-", " ", 
        RowBox[{"First", "[", "rawpos", "]"}]}], ")"}], "&"}], " ", "/@", " ", 
     RowBox[{"Rest", "[", "rawpos", "]"}]}], " ", "//", " ", "N"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.63288114140809*^9, 3.6328811623880243`*^9}, {
  3.632882337774501*^9, 3.6328823386942377`*^9}}],

Cell[BoxData[
 RowBox[{"numpts", " ", "=", " ", 
  RowBox[{"Length", "[", "adjpos", "]"}]}]], "Input",
 CellChangeTimes->{{3.6328811718820143`*^9, 3.6328811804453173`*^9}}],

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Range", "[", "numpts", "]"}], ",", "#"}], "}"}], "]"}], "&"}],
    " ", "/@", " ", 
   RowBox[{"Transpose", "[", "adjpos", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.632881201482321*^9, 3.632881250041706*^9}}],

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"#", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ",", 
      RowBox[{"#", "[", 
       RowBox[{"[", "3", "]"}], "]"}]}], "}"}], "&"}], " ", "/@", " ", 
   "adjpos"}], "]"}]], "Input",
 CellChangeTimes->{{3.632881820287936*^9, 3.6328818842332973`*^9}, {
  3.6328819228189707`*^9, 3.632881927713973*^9}, {3.632882094263803*^9, 
  3.63288211158704*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Scale", " ", "Y1", " ", "to", " ", "the", " ", "scale", " ", "of", " ", 
   "X2", " ", "and", " ", "Y2", " ", "by", " ", "scaling", " ", "from", " ", 
   "X1", " ", "to", " ", "X2"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.632882211247859*^9, 3.632882233861169*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"#", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ".", 
      RowBox[{"#", "[", 
       RowBox[{"[", "3", "]"}], "]"}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"#", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ".", 
      RowBox[{"#", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], "&"}], " ", "@", " ", 
  RowBox[{"Transpose", "[", 
   RowBox[{"adjpos", "[", 
    RowBox[{"[", 
     RowBox[{";;", "60"}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6328822368849573`*^9, 3.632882333094345*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"Merged", " ", "X1", " ", "and", " ", "X2"}], ",", " ", "Y1", ",", 
   " ", "Z2"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.632882511602725*^9, 3.632882552208439*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"scl1", " ", "=", 
   RowBox[{"N", "[", 
    RowBox[{"2", "/", "3"}], "]"}]}], ";", " ", 
  RowBox[{"scl2", " ", "=", " ", 
   RowBox[{"N", "[", "1", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6328826670675697`*^9, 3.6328826764444857`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"asx12pos", " ", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "+", 
          RowBox[{"#", "[", 
           RowBox[{"[", "3", "]"}], "]"}]}], ")"}], "/", "2"}], ",", 
       RowBox[{"#", "[", 
        RowBox[{"[", "2", "]"}], "]"}], ",", 
       RowBox[{"#", "[", 
        RowBox[{"[", "4", "]"}], "]"}]}], "}"}], "&"}], " ", "/@", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"scl1", ",", "scl1", ",", "scl2", ",", "scl2"}], "}"}], "*",
          "#"}], ")"}], "&"}], " ", "/@", " ", "adjpos"}], ")"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.632882393753085*^9, 3.632882424927505*^9}, {
  3.632882462530696*^9, 3.632882499056416*^9}, {3.632882682038279*^9, 
  3.6328826869705*^9}}],

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Range", "[", "numpts", "]"}], ",", "#"}], "}"}], "]"}], "&"}],
    " ", "/@", " ", 
   RowBox[{"Transpose", "[", "asx12pos", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.632881201482321*^9, 3.632881250041706*^9}, 
   3.632882570670434*^9}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Distance", " ", "references"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.63288143863558*^9, 3.632881442171924*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"rawdists", " ", "=", " ", 
   RowBox[{"rawdata", "[", 
    RowBox[{"[", 
     RowBox[{
      RowBox[{"3", ";;"}], ",", "2"}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.632881344178733*^9, 3.632881362110285*^9}, {
  3.6328814348315067`*^9, 3.632881434964007*^9}, {3.632882065546929*^9, 
  3.6328820656990128`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"distajpss", " ", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"Total", "[", 
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "^", "2"}], "]"}], "]"}]}], "}"}], 
     "&"}], " ", "/@", " ", 
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{"rawdists", ",", "asx12pos"}], "}"}], "]"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "=!=", "Null"}], "&"}]}], "]"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.632881370322365*^9, 3.6328814025076647`*^9}, {
  3.632881478469057*^9, 3.632881490644895*^9}, {3.63288258990729*^9, 
  3.63288262977936*^9}}],

Cell[BoxData["distajpss"], "Input",
 CellChangeTimes->{{3.63288260344447*^9, 3.632882605569124*^9}}],

Cell[BoxData[
 RowBox[{"ovllscl", " ", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "1", "]"}], "]"}], ".", 
       RowBox[{"#", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "1", "]"}], "]"}], ".", 
       RowBox[{"#", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], "&"}], " ", "@", " ", 
   RowBox[{"Transpose", "[", "distajpss", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.632882662544647*^9, 3.632882663455249*^9}, {
  3.632882718574254*^9, 3.632882744378583*^9}, {3.632882813459942*^9, 
  3.6328828394844637`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"#", "[", 
      RowBox[{"[", "2", "]"}], "]"}], "-", 
     RowBox[{"ovllscl", "*", 
      RowBox[{"#", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ")"}], "&"}], " ", "/@", " ", 
  "distajpss"}]], "Input",
 CellChangeTimes->{{3.6328828509348173`*^9, 3.632882875156249*^9}}],

Cell[BoxData[
 RowBox[{"ListPlot", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.632882884953467*^9, 3.632882886881181*^9}}],

Cell[BoxData[
 RowBox[{"Sqrt", "[", 
  RowBox[{"Mean", "[", 
   RowBox[{"%%", "^", "2"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.632883896983983*^9, 3.632883902304294*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"adscpos", " ", "=", " ", 
   RowBox[{"asx12pos", "/", "ovllscl"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.632882904334381*^9, 3.6328829340234737`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"show3d", "[", "xlst_", "]"}], " ", ":=", " ", 
  RowBox[{"Graphics3D", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Gray", ",", 
        RowBox[{"PointSize", "[", "Large", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}], "]"}]}], "}"}], ",", 
      RowBox[{"Point", "[", "xlst", "]"}]}], "}"}], ",", 
    RowBox[{"SphericalRegion", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6328858498321867`*^9, 3.632885867133431*^9}}],

Cell[BoxData[
 RowBox[{"show3d", "[", "adscpos", "]"}]], "Input",
 CellChangeTimes->{{3.6328829392085323`*^9, 3.632882972529855*^9}, {
  3.632883064741683*^9, 3.6328831506235733`*^9}, {3.6328858624135523`*^9, 
  3.632885889492367*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"adscrad", " ", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"#", ".", "#"}], "]"}], "&"}], " ", "/@", " ", "adscpos"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.632904616435938*^9, 3.632904626840749*^9}}],

Cell[BoxData[
 RowBox[{"ListPlot", "[", "adscrad", "]"}]], "Input",
 CellChangeTimes->{{3.6329046287824183`*^9, 3.6329046356083937`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Mean", ",", " ", "equatorial", ",", " ", 
   RowBox[{"and", " ", "polar", " ", "radii", " ", "of", " ", "Ceres"}]}], 
  " ", "*)"}]], "Input",
 CellChangeTimes->{{3.632906409129694*^9, 3.6329064177497396`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"crrad", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"476.2", ",", "487.3", ",", "454.7"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.632906369511726*^9, 3.632906406738562*^9}}],

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"2", "*", 
     RowBox[{
      RowBox[{"crrad", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "/", "1000"}]}], ")"}], "*", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"180", "/", "Pi"}], ")"}], "/", "adscrad"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.632906476381089*^9, 3.632906531298143*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Five", "-", 
   RowBox[{"point", " ", "fit", " ", "to", " ", "quadratic"}]}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.6328850552943277`*^9, 3.632885061148389*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"fivepoints", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], ",", "xm2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "xm1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "x0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "xp1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "xp2"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6328850670962467`*^9, 3.632885092156733*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"fivepterr", " ", "=", " ", 
   RowBox[{"Total", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"c0", "+", 
         RowBox[{"c1", "*", 
          RowBox[{"#", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "+", 
         RowBox[{"c2", "*", 
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "^", "2"}]}], "-", 
         RowBox[{"#", "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], ")"}], "^", "2"}], "&"}], " ", "/@",
      " ", "fivepoints"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.632885098426341*^9, 3.632885191904521*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"fiveptsol", " ", "=", " ", 
   RowBox[{"First", "[", 
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"Thread", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{"fivepterr", ",", "#"}], "]"}], "&"}], " ", "/@", " ", 
          RowBox[{"{", 
           RowBox[{"c0", ",", "c1", ",", "c2"}], "}"}]}], ")"}], "\[Equal]", 
        "0"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"c0", ",", "c1", ",", "c2"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6328851953608313`*^9, 3.632885231593532*^9}}],

Cell[BoxData[
 RowBox[{"c0", " ", "/.", " ", "fiveptsol"}]], "Input",
 CellChangeTimes->{{3.63288523636537*^9, 3.632885241806446*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"35", "*", 
    RowBox[{"D", "[", 
     RowBox[{"%", ",", "#"}], "]"}]}], "&"}], " ", "/@", " ", 
  RowBox[{"{", 
   RowBox[{"xm2", ",", "xm1", ",", "x0", ",", "xp1", ",", "xp2"}], 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.6329223120832577`*^9, 3.632922336966669*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Smooth", " ", "with", " ", "that", " ", "fit"}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.632885519243903*^9, 3.632885523626048*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"smthknl", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "3"}], ",", "12", ",", "17", ",", "12", ",", 
      RowBox[{"-", "3"}]}], "}"}], "/", "35"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6329072102141657`*^9, 3.632907216244803*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"smthpos", " ", "=", " ", 
   RowBox[{"Transpose", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"ListConvolve", "[", 
       RowBox[{"smthknl", ",", "#"}], "]"}], "&"}], " ", "/@", " ", 
     RowBox[{"Transpose", "[", "adscpos", "]"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.632885361033084*^9, 3.632885428816476*^9}, {
  3.6329072059254503`*^9, 3.632907222272336*^9}}],

Cell[BoxData[
 RowBox[{"show3d", "[", "smthpos", "]"}]], "Input",
 CellChangeTimes->{{3.6328829392085323`*^9, 3.632882972529855*^9}, {
  3.632883064741683*^9, 3.6328831506235733`*^9}, {3.6328858624135523`*^9, 
  3.632885899223422*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"smthrad", " ", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"#", ".", "#"}], "]"}], "&"}], " ", "/@", " ", "smthpos"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.632888046142283*^9, 3.63288806142826*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", "Velocity", " ", "*)"}]], "Input",
 CellChangeTimes->{{3.632885687325577*^9, 3.632885689675165*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"velknl", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", 
      RowBox[{"-", "1"}]}], "}"}], "/", "2"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6329073512183228`*^9, 3.632907358172291*^9}, {
  3.632907460679987*^9, 3.632907462634261*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"smthvel", " ", "=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1000000", "/", "86400"}], ")"}], 
    RowBox[{"Transpose", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"ListConvolve", "[", 
        RowBox[{"velknl", ",", "#"}], "]"}], "&"}], " ", "/@", " ", 
      RowBox[{"Transpose", "[", "smthpos", "]"}]}], "]"}]}]}], ";"}]], "Input",\

 CellChangeTimes->{{3.632885361033084*^9, 3.632885428816476*^9}, {
  3.632885738016612*^9, 3.632885780151932*^9}, {3.6329073463442917`*^9, 
  3.632907366130013*^9}}],

Cell[BoxData[
 RowBox[{"show3d", "[", "smthvel", "]"}]], "Input",
 CellChangeTimes->{{3.632885912852036*^9, 3.632885950741706*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"smthvelmag", " ", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"#", ".", "#"}], "]"}], "&"}], " ", "/@", " ", "smthvel"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.632885768105384*^9, 3.632885769310665*^9}, {
  3.632885810356789*^9, 3.632885819311307*^9}}],

Cell[BoxData[
 RowBox[{"ListPlot", "[", "smthvelmag", "]"}]], "Input",
 CellChangeTimes->{{3.632922152280528*^9, 3.632922156524414*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Mass", " ", "of", " ", "Ceres", " ", "in", " ", "gravitational", " ", 
   RowBox[{"units", ":", " ", 
    RowBox[{
     RowBox[{"km", "^", "3"}], "/", 
     RowBox[{"s", "^", "2"}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.632906435278537*^9, 3.6329064486833277`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"gravmass", " ", "=", " ", "63.1"}], ";"}]], "Input",
 CellChangeTimes->{{3.632906174329803*^9, 3.632906187688593*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"Surface", "-", 
    RowBox[{
    "satellite", " ", "period", " ", "and", " ", "velocity", " ", "in", " ", 
     "hr"}]}], ",", " ", 
   RowBox[{"m", "/", "s"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6329236310636272`*^9, 3.6329236470274687`*^9}}],

Cell[BoxData[
 RowBox[{"2", "Pi", "*", 
  RowBox[{
   RowBox[{"Sqrt", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"crrad", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "^", "3"}], "/", "gravmass"}], "]"}], 
   "/", "3600"}]}]], "Input",
 CellChangeTimes->{{3.632923649796563*^9, 3.632923667795948*^9}}],

Cell[BoxData[
 RowBox[{"1000", "*", 
  RowBox[{"Sqrt", "[", 
   RowBox[{"gravmass", "/", 
    RowBox[{"crrad", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.632923617471497*^9, 3.632923629987515*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Orbit", " ", "energy"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.632888127713427*^9, 3.632888147453127*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"smthradvl", " ", "=", " ", 
   RowBox[{"smthrad", "[", 
    RowBox[{"[", 
     RowBox[{"2", ";;", 
      RowBox[{"-", "2"}]}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.632888173633087*^9, 3.632888180197576*^9}}],

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "/", "2"}], ")"}], "*", 
    RowBox[{"smthvelmag", "^", "2"}]}], " ", "-", " ", 
   RowBox[{"gravmass", "*", 
    RowBox[{"1000", "/", "smthradvl"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.632888017077757*^9, 3.632888034844122*^9}, {
  3.632888073008307*^9, 3.632888099468977*^9}, {3.6328881318685513`*^9, 
  3.632888143117481*^9}, {3.632888186477745*^9, 3.632888187911522*^9}, {
  3.632906194934894*^9, 3.632906197977363*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"For", " ", "dumping", " ", "output"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.632884922919765*^9, 3.632884925866726*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"delimliststr", "[", 
   RowBox[{"xlst_", ",", "delim_"}], "]"}], " ", ":=", " ", 
  RowBox[{"StringJoin", "[", 
   RowBox[{"Riffle", "[", 
    RowBox[{
     RowBox[{"ToString", " ", "/@", " ", "xlst"}], ",", "delim"}], "]"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.632884418047599*^9, 3.6328844367494164`*^9}, {
  3.6328844747151327`*^9, 3.6328844983344507`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"tabliststr", "[", "xlst_", "]"}], " ", ":=", " ", 
  RowBox[{"delimliststr", "[", 
   RowBox[{"xlst", ",", "\"\<\\t\>\""}], "]"}]}]], "Input",
 CellChangeTimes->{{3.632884514253784*^9, 3.6328845297903757`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"retliststr", "[", "xlst_", "]"}], " ", ":=", " ", 
  RowBox[{"delimliststr", "[", 
   RowBox[{"xlst", ",", "\"\<\\n\>\""}], "]"}]}]], "Input",
 CellChangeTimes->{{3.632884514253784*^9, 3.632884540630474*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"trarraystr", "[", "xarr_", "]"}], " ", ":=", " ", 
  RowBox[{"retliststr", "[", 
   RowBox[{"tabliststr", " ", "/@", " ", "xarr"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.632884546671916*^9, 3.632884565710948*^9}}]
},
WindowSize->{808, 695},
WindowMargins->{{Automatic, 1}, {Automatic, 0}},
FrontEndVersion->"10.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (December 4, \
2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 573, 14, 163, "Text"],
Cell[1134, 36, 9864, 278, 641, "Input"],
Cell[11001, 316, 256, 7, 28, "Input"],
Cell[11260, 325, 332, 9, 28, "Input"],
Cell[11595, 336, 442, 12, 28, "Input"],
Cell[12040, 350, 172, 3, 28, "Input"],
Cell[12215, 355, 359, 10, 28, "Input"],
Cell[12577, 367, 461, 13, 28, "Input"],
Cell[13041, 382, 321, 6, 28, "Input"],
Cell[13365, 390, 629, 20, 28, "Input"],
Cell[13997, 412, 229, 5, 28, "Input"],
Cell[14229, 419, 279, 7, 28, "Input"],
Cell[14511, 428, 963, 29, 46, "Input"],
Cell[15477, 459, 387, 11, 28, "Input"],
Cell[15867, 472, 165, 3, 28, "Input"],
Cell[16035, 477, 361, 9, 28, "Input"],
Cell[16399, 488, 891, 27, 46, "Input"],
Cell[17293, 517, 100, 1, 28, "Input"],
Cell[17396, 520, 707, 20, 28, "Input"],
Cell[18106, 542, 356, 11, 28, "Input"],
Cell[18465, 555, 127, 2, 28, "Input"],
Cell[18595, 559, 179, 4, 28, "Input"],
Cell[18777, 565, 188, 4, 28, "Input"],
Cell[18968, 571, 587, 15, 46, "Input"],
Cell[19558, 588, 235, 4, 28, "Input"],
Cell[19796, 594, 274, 8, 28, "Input"],
Cell[20073, 604, 137, 2, 28, "Input"],
Cell[20213, 608, 256, 5, 28, "Input"],
Cell[20472, 615, 218, 5, 28, "Input"],
Cell[20693, 622, 376, 11, 28, "Input"],
Cell[21072, 635, 217, 5, 28, "Input"],
Cell[21292, 642, 553, 17, 28, "Input"],
Cell[21848, 661, 658, 19, 28, "Input"],
Cell[22509, 682, 648, 19, 28, "Input"],
Cell[23160, 703, 134, 2, 28, "Input"],
Cell[23297, 707, 317, 9, 28, "Input"],
Cell[23617, 718, 186, 4, 28, "Input"],
Cell[23806, 724, 299, 8, 28, "Input"],
Cell[24108, 734, 416, 10, 28, "Input"],
Cell[24527, 746, 235, 4, 28, "Input"],
Cell[24765, 752, 273, 8, 28, "Input"],
Cell[25041, 762, 134, 2, 28, "Input"],
Cell[25178, 766, 306, 8, 28, "Input"],
Cell[25487, 776, 552, 15, 28, "Input"],
Cell[26042, 793, 131, 2, 28, "Input"],
Cell[26176, 797, 326, 9, 28, "Input"],
Cell[26505, 808, 136, 2, 28, "Input"],
Cell[26644, 812, 327, 8, 28, "Input"],
Cell[26974, 822, 153, 3, 28, "Input"],
Cell[27130, 827, 313, 8, 28, "Input"],
Cell[27446, 837, 305, 9, 28, "Input"],
Cell[27754, 848, 240, 6, 28, "Input"],
Cell[27997, 856, 159, 3, 28, "Input"],
Cell[28159, 861, 260, 7, 28, "Input"],
Cell[28422, 870, 531, 12, 28, "Input"],
Cell[28956, 884, 173, 3, 28, "Input"],
Cell[29132, 889, 404, 10, 28, "Input"],
Cell[29539, 901, 245, 5, 28, "Input"],
Cell[29787, 908, 243, 5, 28, "Input"],
Cell[30033, 915, 251, 5, 28, "Input"]
}
]
*)

(* End of internal cache information *)
